#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg.h"
#include "text.h"


using namespace std;

const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data()
{

    size_t number_count, bin_count;

    cerr << "Enter number count: ";
    cin >> number_count;

    Input in;
    in.numbers.resize(number_count);

    cerr << "Enter numbers: ";

    // vector<double> numbers(number_count);

    for (size_t i = 0; i < number_count; i++)
    {
        cin >> in.numbers[i];
    }

    cerr << "Count of baskets: ";
    cin >> in.bin_count;

    return in;
}

int main()
{
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins); 
    return 0;
}